Skip to main content
POST
Deposits

Authorizations

Authorization
string
header
required

Authorization header with value: Bearer YOUR_TOKEN. Refer to the API Keys section to create your API key.

Body

application/json

validator and type_filter are optional in this request body

slot
Number · object
required

Specify a slot using one of the following methods.

  • Slot number
  • Consensus layer block root
  • View: "latest", "finalized"
chain
enum<string>
default:mainnet
required

The Ethereum chain to query.

Available options:
mainnet,
hoodi
cursor
string
default:""

Cursor value for pagination. See our pagination guide for more details.

page_size
integer
default:10

The number of items to return per page.

Required range: 1 <= x <= 10
validator
Indices/Pubkeys · object

validator is optional in this request body. If not provided, results will be unfiltered.

type_filter
enum<string>[] | null

Filter results by deposit type. Pass one or more types as an array to include deposits of any of the selected types; omit the field (or pass an empty array) to return all types.

Manual deposit actions:

  • top_up: Additional funds deposited to an existing validator.
  • deposit: Initial deposit to activate a new validator.

Automatic actions:

  • network: Deposits triggered automatically by network events, such as validator consolidation.

Note: A network deposit typically occurs when validators are consolidated by the protocol.

Available options:
top_up,
deposit,
network

Response

Successful response.

Response containing detailed information about past or future deposit duties.

data
object[]
required
paging
object